﻿//----------------------------------------------------------------------------
//              U S I N G   T H E   M U L T I V I E W   C O N T R O L

//                                       Ron Kessler
//                                    Created 5/3/09
//                                       C# Version
//----------------------------------------------------------------------------

//This program shows you how to use the multiview control.
//Basically you add a multiview control to the form. Then add View controls into the inside
//of the multiview. You can then add any controls to each view you want.

//I have Previous/Next buttons to navigate around. Each button has a CommandName Property
//that you can set as PrevView or NextView to show the next view. All of these views are on the same
//page and the data in each control is saved in the ViewState for the form. That way, you can use/access
//any of the data when you need it.


using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
     string CR = "\r";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            //--- Initialize the Expiration Year drop-down. This keeps the dates current.

            for (int x = DateTime.Now.Year;x < DateTime.Now.Year + 6; x++)
                ddlExpirationYear.Items.Add(x.ToString());
            
        
        }
    }
    protected void btnFinish_Click(object sender, EventArgs e)
    {
        this.DisplayMessage();
    }

    protected void DisplayMessage()
    { 
    
       string shipVIA = "";
        if (rdoUPSGround.Checked)
            shipVIA = "UPSG";
        else if (rdoUPS2Day.Checked)
            shipVIA = "UPS2D";
        else if (rdoFedEx.Checked)
            shipVIA = "FEDEX";
       

        string checkOutData;
        checkOutData = 
            "Contact info" + CR + 
            "    First name: " + txtFirstName.Text + CR + 
            "    Last name: " + txtLastName.Text + CR +
            "    Email: " + txtEmail.Text + CR +
            "Shipping method" + CR +
            "    Ship via: " + shipVIA + CR +
            "Credit card info" + CR +
            "    Type: " + listCardType.SelectedValue + CR +
            "    Number: " + txtCardNumber.Text + CR +
            "    Expiration date: " + ddlExpirationMonth.SelectedValue + "/" +
                                      ddlExpirationYear.SelectedValue;
        txtMessage.Text = checkOutData;
        
    }
}
